Subject: Re: [tcpm] WGLC on draft-ietf-tcpm-early-rexmt-01

From: Mark Allman <[email-masked]>
Date: Wed, 01 Jul 2009 09:40:53 -0400

> (1) In the Introduction, paragraph 2, we have latex-style
>     double single-quotes instead of normal double quotes
> 
> (2) "When using small congestion windows"
>     should more correctly be
>     "When the congestion window is small".
> 
> (3) "Small windows can occur" ->
>     "Small congestion windows can occur"
> 
> (4) "Consider a congestion window (cwnd)"
>     The document only uses "cwnd" in one other place, in the
>     Related Work, so probably doesn't need to define an abbreviation
>     for congestion window here.
> 
> (5) Need to either define SMSS in this document or cite where we
>     pull the definition of the acronym from.  Section 2 possibly
>     should have a sentence that says we're going to reuse the
>     set of terminology from the 2581bis draft or something like
>     that so we don't have to worry about explaining all the state
>     variables here.

OK, I fixed all these things in my working version.

Also, I replaced all references to RFC2581 to the bis document since it
has been forwarded and seemingly would not block this document.  If
needed we can revert this change if ER somehow passes 2581bis in the
processing. 

> (6) "good to bad retransmits" ->
>     "needed to unneeded retransmissions" ???

I used the language from the cited paper ([Pax97]) and am inclined to
leave it because I think it is clear.  If you want to insist I'll change
it because it doesn't seem worth fighting over.

> (7) check IDNITS :)

Added intended status (experimental).

Added a couple missing refs.

A bunch of the refs flagged as having no reference do in fact have a
reference but the tool doesn't seem to grok [ref1,ref2,ref3] sorts of
constructs.

RFC3522 is not normative and so I moved it.

Updated the NewReno reference to RFC 3782.

There is new boilerplate since we submitted -01.  Big surprise.  This
will be fixed in -02, obviously.

Many thanks!

allman

---

From: "Eddy, Wesley M. (GRC-MS00)[Verizon]" <[email-masked]>
Date: Wed, 1 Jul 2009 09:01:53 -0500

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]]
>Sent: Wednesday, July 01, 2009 9:41 AM
>

This works for me; I didn't realize it had been quoted.

---------------------------
Wes Eddy
Network & Systems Architect
Verizon FNS / NASA GRC
Office: (216) 433-6682
---------------------------